

local function CreateSlider(cond, name, anchor)

	local slider = CreateFrame("Slider", "Slider" .. cond, _G["AmfbarEditor"], "DefualtStateSlider");
	slider.cond = cond;
	slider.name:SetText(name)
	slider.bartext:SetText("bar ".. Amf.settings.states[cond])
	slider:SetValue(Amf.settings.states[cond])
	if name == "Alt" then
		slider:SetPoint("TOP", anchor, "TOP", 0, -20)
	else
		slider:SetPoint("TOP", anchor,"BOTTOM", 0, -25)
	end


end

function Amf.CreateBarSliders()
			local _, class = UnitClass("player");
			local height = 185;
			CreateSlider("[mod:alt]", "Alt", _G["AmfbarEditor"])
			CreateSlider("[mod:ctrl]", "Ctrl", _G["Slider[mod:alt]"])
			CreateSlider("[mod:shift]", "Shift", _G["Slider[mod:ctrl]"])
	
		if class == "WARRIOR" or class == "DRUID" or class == "PRIEST" or class == "ROGUE" or class == "WARLOCK" then
			if class == "WARRIOR" then
				CreateSlider("[bonusbar:3]", GetSpellInfo(2458), _G["Slider[mod:shift]"])
				CreateSlider("[bonusbar:2]", GetSpellInfo(71), _G["Slider[bonusbar:3]"])
				CreateSlider("[bonusbar:1]", GetSpellInfo(2457), _G["Slider[bonusbar:2]"])
				height = 255;
			elseif class == "DRUID" then
				moonkin, _, _, _, moonRank  = GetTalentInfo(1,8)
				tree, _, _, _, treeRank  = GetTalentInfo(3,21)
				CreateSlider("[bonusbar:1]", GetSpellInfo(768), _G["Slider[mod:shift]"])
				CreateSlider("[bonusbar:1,stealth]", GetSpellInfo(5487), _G["Slider[bonusbar:1]"] )
				CreateSlider("[bonusbar:3]", GetSpellInfo(5215), _G["Slider[bonusbar:1,stealth]"])
				height = 255;
				if (moonRank ~= 0) then
					CreateSlider("[bonusbar:4]", moonkin,  _G["Slider[bonusbar:3,stealth]"] )
				height = 280;
				elseif(treeRank ~= 0) then
					CreateSlider("[bonusbar:4]", tree, _G["Slider[bonusbar:3,stealth]"])
					height = 280;_G["AmfbarEditor"]:SetHeight(280);
				end
			elseif class == "PRIEST" then
				CreateSlider("[bonusbar:1]", GetSpellInfo(15473), _G["Slider[mod:shift]"])
				height = 195;
			elseif class == "ROGUE" then
				CreateSlider("[bonusbar:1]", GetSpellInfo(1784), _G["Slider[mod:shift]"])
				CreateSlider("[form:3]", GetSpellInfo(51713), _G["Slider[stealth]"])
				_height = 210;
			elseif class == "WARLOCK" then
				CreateSlider("[form:2]", GetSpellInfo(47241), _G["Slider[mod:shift]"])
				height = 195;
			end
			_G["AmfbarEditor"]:SetHeight(height);
		end
	
	

end